## General General — Static variables and memory handling. |

## Functions

void * | librdf_alloc_memory ()
void * | librdf_calloc_memory ()
void | librdf_free_memory ()

## Types and Values

#define | LIBRDF_VERSION
#define | LIBRDF_VERSION_MAJOR
#define | LIBRDF_VERSION_MINOR
#define | LIBRDF_VERSION_RELEASE
#define | LIBRDF_VERSION_STRING
extern const unsigned int | librdf_version_decimal
extern const unsigned int | librdf_version_major
extern const unsigned int | librdf_version_release
extern const unsigned int | librdf_version_minor
extern const char * const | librdf_version_string
extern const char * const | librdf_copyright_string
extern const char * const | librdf_short_copyright_string
extern const char * const | librdf_license_string
extern const char * const | librdf_home_url_string
#define | REDLAND_DEPRECATED

## Description

Static variables for version numbers and strings, copyright strings and home page. Functions for in-library memory allocation and deallocation.

## Functions

### librdf_alloc_memory ()

    void *
    librdf_alloc_memory (size_t size);

Allocate memory inside the library similar to `malloc()`.

Required for some runtimes where memory must be freed within the same shared object it was allocated in.

#### Parameters

size | alloc size |

#### Returns

pointer to memory or NULL on failure

### librdf_calloc_memory ()

    void *
    librdf_calloc_memory (size_t nmemb,
                          size_t size);

Allocate zeroed array of items inside the library similar to `calloc()`.

Required for some runtimes where memory must be freed within the same shared object it was allocated in.

#### Parameters

nmemb | number of members |
size | size of member |

#### Returns

pointer to memory or NULL on failure

### librdf_free_memory ()

    void
    librdf_free_memory (void *ptr);

Free memory allocated in the library.

Required for some runtimes where memory must be freed within the same shared object it was allocated in.

#### Parameters

ptr | pointer to free |

## Types and Values

### LIBRDF_VERSION

    #define LIBRDF_VERSION 10017

Redland librdf library version number

Format: major * 10000 + minor * 100 + release

### LIBRDF_VERSION_MAJOR

    #define LIBRDF_VERSION_MAJOR 1

Redland librdf library major version

### LIBRDF_VERSION_MINOR

    #define LIBRDF_VERSION_MINOR 0

Redland librdf library minor version

### LIBRDF_VERSION_RELEASE

    #define LIBRDF_VERSION_RELEASE 17

Redland librdf library release

### LIBRDF_VERSION_STRING

    #define LIBRDF_VERSION_STRING "1.0.17"

Redland librdf library version string

### librdf_version_decimal

    extern const unsigned int librdf_version_decimal;

Library full version as a decimal integer.

See also librdf_version_string.

### librdf_version_major

    extern const unsigned int librdf_version_major;

Library major version number as a decimal integer.

### librdf_version_release

    extern const unsigned int librdf_version_release;

Library release version number as a decimal integer.

### librdf_version_minor

    extern const unsigned int librdf_version_minor;

Library minor version number as a decimal integer.

### librdf_version_string

    extern const char * const librdf_version_string;

Library full version as a string.

See also librdf_version_decimal.

### librdf_copyright_string

    extern const char * const librdf_copyright_string;

Copyright string (multiple lines).

### librdf_short_copyright_string

    extern const char * const librdf_short_copyright_string;

Short copyright string (one line).

### librdf_license_string

    extern const char * const librdf_license_string;

Redland librdf license string.

### librdf_home_url_string

    extern const char * const librdf_home_url_string;

Redland librdf home page URL.

### REDLAND_DEPRECATED

    #define REDLAND_DEPRECATED __attribute__((deprecated))

When defined before a function, indicates that the function has been deprecated and may be replaced in a future release. With some versions of gcc this may give a compilation warning.